<script type="text/javascript">	
$(document).ready(function(){
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);
			}
		});
	}
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namapl').keyup(function(){
		$('#form_cari_plg').dialog('open');
		$("#txt_cariplg").focus();
	});
	
	$('#txt_namapl').click(function(){
		$('#form_cari_plg').dialog('open');
		$("#txt_cariplg").focus();
	});
	
	$("#txt_cariplg").keyup(function(){
		$("#info_plg").show();
		var cari = $("#txt_cariplg").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/setor_bbm/tampil_data_plg.php",
			data	: "cari="+cari,			
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info_plg").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_plg").html(data);
			}
		});
	});

	$("#cari").click(function(){
		var tgl_awal	= $("#t_tgl_awal").val();
		var tgl_akhir	= $("#t_tgl_akhir").val();
		var kodepl		= $("#txt_kodepl").val();
		
		if(tgl_awal==''){
			alert('Maaf, Tanggal awal periode masih kosong.');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir==''){
			alert('Maaf, Tanggal akhir periode belum terisi.');
			$("#t_tgl_akhir").focus();
			return false;
		}
		if(kodepl==''){
			alert('Maaf, Kode pelanggan masih kosong.');
			$("#t_kodepl").focus();
			return false;
		}
		$("#data_pj").show();
		$("#data_pj").load('modul/report/tampil_rekap_plgnp.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&kodepl='+kodepl);
	});
	
	$("#cetak").click(function(){
		var tgl_awal	= $("#t_tgl_awal").val();
		var tgl_akhir	= $("#t_tgl_akhir").val();
		var kodepl		= $("#txt_kodepl").val();
		var namapl		= $("#txt_namapl").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Tanggal awal periode masih kosong.');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Tanggal akhir periode belum terisi.');
			$("#t_tgl_akhir").focus();
			return false;
		}
		if(kodepl==''){
			alert('Maaf, Kode pelanggan masih kosong.');
			$("#t_kodepl").focus();
			return false;
		}
		window.location.href='modul/laporan/rekap_plgnp.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&kodepl='+kodepl+'&namapl='+namapl;
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>
<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';
	
echo "<div span='12' style='background-color:white'>";
echo "<div id='form' align='center'><h2>LAPORAN PELANGGAN PER NOMOR POLISI<h2></div>";
echo "<div id='filter' align='left'>
	<fieldset>
		<legend>Filter Data </legend>
		<table>
			<tr>
				<td>Pelanggan : <input type='text' name='txt_namapl' id='txt_namapl' class='input_detail' size='25'>
					<input type='text' name='txt_kodepl' id='txt_kodepl' class='input_detail' size='2' readonly />
				</td>
				<td>Tanggal : <input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'> Sampai dengan <input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
				<td>
					<button name='cari' id='cari'>Cari</button>
					<button name='cetak' id='cetak'>Cetak</button>
					<button name='tutup' id='tutup'>Tutup</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div><br>";
	
echo "<div id='data_pj' align='center'></div>";

echo "<div id='form_cari_plg' title='Pencarian Data Pelanggan'>
		<table width='100%'>
			<tr>
				<td>Cari nama pelanggan : <input type='text' name='txt_cariplg' id='txt_cariplg' size='40'></td>
			</tr>
		</table>
		<div id='info_plg' align='center'></div>
	</div>";

echo "</div>";
?>
